EDIT - bug #9060

NPE in termsearch
06/10/2020 11:56 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: blocker Found in Version:

Description

In term search throws NPE:

last remote method : http://test.e—-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/vocabulary.servic
e
last remote request client time : 2020-06-08T12:33:46.931
last remote request response header time : Mon, 08 Jun 2020 12:33:46 GMT
client error time : 2020-06-08T12:34:08.083
login : admin
editor version : 5.15.0.202006051918
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.15.0.0.20200510
os : Windows Server 2012 R2 6.3 amdé64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.view.search.facet.term.TermSearchController.searchResult
s (TermSearchController. java:74)

at eu.etaxonomy.taxeditor.view.search.facet.SearchController.search (SearchControll
er.java:67)

at eu.etaxonomy.taxeditor.view.search.dfacet.SearchController.search (SearchControl
ler.java:152)

at eu.etaxonomy.taxeditor.view.search.facet.term.TermSearchController.search (TermS
earchController. java:121)

at eu.etaxonomy.taxeditor.view.search.facet.SearchController.widgetSelected (Search
Controller.java:180)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Associated revisions

Revision 74c3df2a - 06/10/2020 12:01 PM - Katja Luther
fix #9060: fix NPE in term search

Revision 93078a32 - 06/11/2020 09:40 AM - Katja Luther

ref #9060: check whether termtype is null in term search

History

#1 - 06/10/2020 11:58 AM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|74c3df2a4568e1e35a994b99443381d24b32f0ea.

#2 - 06/10/2020 11:59 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

- Severity changed from normal to blocker

this should be fixed, please review

#3 - 06/12/2020 03:52 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

works as expected
